Search Results for

Show / Hide Table of Contents

# Class TextRegexProvider

Regex Provider for TextValidateField.

##### Inheritance

System.Object
TextRegexProvider

##### Implements

ITextValidateProvider

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui.TextValidateProviders

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class TextRegexProvider : ITextValidateProvider

### Constructors

#### TextRegexProvider(String)

Empty Constructor.

##### Declaration

    public TextRegexProvider(string pattern)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | pattern |

### Properties

#### DisplayText

##### Declaration

    public ustring DisplayText { get; }

##### Property Value

Type | Description
--- | ---
NStack.ustring |

#### Fixed

##### Declaration

    public bool Fixed { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### IsValid

##### Declaration

    public bool IsValid { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### Pattern

Regex pattern property.

##### Declaration

    public ustring Pattern { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring |

#### Text

##### Declaration

    public ustring Text { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring |

#### ValidateOnInput

When true, validates with the regex pattern on each input, preventing the input if it's not valid.

##### Declaration

    public bool ValidateOnInput { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

#### Cursor(Int32)

##### Declaration

    public int Cursor(int pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | pos |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### CursorEnd()

##### Declaration

    public int CursorEnd()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### CursorLeft(Int32)

##### Declaration

    public int CursorLeft(int pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | pos |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### CursorRight(Int32)

##### Declaration

    public int CursorRight(int pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | pos |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### CursorStart()

##### Declaration

    public int CursorStart()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### Delete(Int32)

##### Declaration

    public bool Delete(int pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | pos |

##### Returns

Type | Description
--- | ---
System.Boolean |

#### InsertAt(Char, Int32)

##### Declaration

    public bool InsertAt(char ch, int pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Char | ch |
System.Int32 | pos |

##### Returns

Type | Description
--- | ---
System.Boolean |

### Implements

ITextValidateProvider